m17n-core.c File Reference

## Macros

#define | M17NLIB_MAJOR_VERSION
#define | M17NLIB_MINOR_VERSION
#define | M17NLIB_PATCH_LEVEL
#define | M17NLIB_VERSION_NAME
#define | M17N_INIT()
| Initialize the m17n library. More...
#define | M17N_FINI()
| Finalize the m17n library. More...

## Functions

enum M17NStatus | m17n_status (void)
| Report which part of the m17n library is initialized. More...
void * | m17n_object (int size, void(*freer)(void *))
int | m17n_object_ref (void *object)
| Increment the reference count of a managed object. More...
int | m17n_object_unref (void *object)
| Decrement the reference count of a managed object. More...
int | mdebug_hook ()
| Hook function called on an error. More...

## Variables

int | merror_code
| External variable to hold error code of the m17n library. More...
void(* | m17n_memory_full_handler )(enum MErrorCode err)
| Memory allocation error handler. More...